From a3d8761e200d45a16090e8a2c11a0cdf62db445f Mon Sep 17 00:00:00 2001
From: Koichiro IWAO
Date: Wed, 1 Dec 2021 16:58:18 +0900
Subject: [PATCH 1/2] Replace `which` with `command -v`
as well as neutrinolabs/xorgxrdp#204.
Reported by: @drwilly
---
bootstrap | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/bootstrap b/bootstrap
index a6105448..4a3cfe62 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,27 +1,27 @@
#!/bin/sh
-which autoconf
+command -v autoconf
if ! test $? -eq 0
then
echo "error, install autoconf"
exit 1
fi
-which automake
+command -v automake
if ! test $? -eq 0
then
echo "error, install automake"
exit 1
fi
-which libtool || which libtoolize
+command -v libtool || command -v libtoolize
if ! test $? -eq 0
then
echo "error, install libtool"
exit 1
fi
-which pkg-config
+command -v pkg-config
if ! test $? -eq 0
then
echo "error, install pkg-config"
From ab62ea5e9d86ab5d1e50ff3c26ef5fcfcb1c9694 Mon Sep 17 00:00:00 2001
From: Koichiro IWAO
Date: Wed, 1 Dec 2021 22:36:19 +0900
Subject: [PATCH 2/2] Replace `which` here, too
---
genkeymap/dump-keymaps.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/genkeymap/dump-keymaps.sh b/genkeymap/dump-keymaps.sh
index b95305c7..f3abb1fc 100755
--- a/genkeymap/dump-keymaps.sh
+++ b/genkeymap/dump-keymaps.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-which setxkbmap
+command -v setxkbmap
if test $? -ne 0
then
echo "error, setxkbmap not found"